Closed Bug 1525733 Opened 10 months ago Closed 10 months ago

Require rust 1.32

Categories

(Firefox Build System :: General, enhancement)

enhancement
Not set

Tracking

(firefox67 fixed)

RESOLVED FIXED
mozilla67
Tracking Status
firefox67 --- fixed

People

(Reporter: chmanchester, Assigned: chmanchester)

References

(Blocks 1 open bug)

Details

Attachments

(1 file)

This should happen two weeks after bug 1515322 landed, therefore next Tuesday, February 12th.

Is it okay to land this now?

The rust update policy says that we'll require stable two weeks after release [1]. The release of 1.32 happened on January 17th [2], which would mean we could require 1.32 on January 31st.

It seems that bug 1515322 was delayed landing because of the soft freeze, but I'm not sure that means we need to delay this bug.

I ask this because we'd like to increase the minimum required version for cbindgen (a build requirement) to 1.32 [3].

[1] https://wiki.mozilla.org/Rust_Update_Policy_for_Firefox
[2] https://blog.rust-lang.org/2019/01/17/Rust-1.32.0.html
[3] https://github.com/eqrion/cbindgen/pull/271

Flags: needinfo?(cmanchester)

Yes, this should be okay to land.

Flags: needinfo?(cmanchester)
Pushed by cmanchester@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5041739e5a5b
Require rust 1.32 to build. r=firefox-build-system-reviewers,ted
See Also: → 1527227
Status: NEW → RESOLVED
Closed: 10 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla67
Depends on: 1527227
See Also: 1527227

This undetectedly broke the minidump-stackwalk jobs.

You need to log in before you can comment on or make changes to this bug.